#ifndef OCOONSMESH_H__
#define OCOONSMESH_H__

enum
{
	MAXONLABS_COONSMESH_S_STEPS								=	1000,
	MAXONLABS_COONSMESH_T_STEPS								=	1001,
	MAXONLABS_COONSMESH_FLIP_FIRST						=	1002, // NOT USED
	MAXONLABS_COONSMESH_FLIP_SECOND						=	1003, // NOT USED
	MAXONLABS_COONSMESH_FLIP_THIRD						=	1004, // NOT USED
	MAXONLABS_COONSMESH_FLIP_FOURTH						=	1005, // NOT USED
	MAXONLABS_COONSMESH_PARAM_FIRST						=	1006,
	MAXONLABS_COONSMESH_PARAM_SECOND					=	1007,
	MAXONLABS_COONSMESH_PARAM_THIRD						=	1008,
	MAXONLABS_COONSMESH_PARAM_FOURTH					=	1009,
		MAXONLABS_COONSMESH_PARAM_NATURAL				=	0,
		MAXONLABS_COONSMESH_PARAM_UNIFORM				=	1,
	MAXONLABS_COONSMESH_1STCRV_LINK						=	1010,
	MAXONLABS_COONSMESH_2NDCRV_LINK						=	1011,
	MAXONLABS_COONSMESH_3RDCRV_LINK						=	1012,
	MAXONLABS_COONSMESH_4THCRV_LINK						=	1013,
	MAXONLABS_COONSMESH_CLEANUP_FIRST					=	1014,
	MAXONLABS_COONSMESH_CLEANUP_SECOND				=	1015,
	MAXONLABS_COONSMESH_CLEANUP_THIRD					=	1016,
	MAXONLABS_COONSMESH_CLEANUP_FOURTH				=	1017,
	MAXONLABS_COONSMESH_CLEANUP_FIRST_TOL			=	1018,
	MAXONLABS_COONSMESH_CLEANUP_SECOND_TOL		=	1019,
	MAXONLABS_COONSMESH_CLEANUP_THIRD_TOL			=	1020,
	MAXONLABS_COONSMESH_CLEANUP_FOURTH_TOL		=	1021,
	MAXONLABS_COONSMESH_FLIPNORMALS						= 1022,
	MAXONLABS_COONSMESH_CURVESJUNCTIONSTOL		= 1023,
	MAXONLABS_COONSMESH_GENERALPARAMS					= 1024,
	MAXONLABS_COONSMESH_1STCRVPARAMS					= 1025,
	MAXONLABS_COONSMESH_2NDCRVPARAMS					= 1026,
	MAXONLABS_COONSMESH_3RDCRVPARAMS					= 1027,
	MAXONLABS_COONSMESH_4THCRVPARAMS					= 1028,
	MAXONLABS_COONSMESH_CURVESJUNCTIONSTYPE		= 1029,
		MAXONLABS_COONSMESH_TIGHTJUNCTIONS			= 0,
		MAXONLABS_COONSMESH_LOOSEJUNCTIONS			= 1,
};

#endif // OCOONSMESH_H__
